#!/usr/bin/env python

import gtk

class LoginDialog(gtk.Dialog):
	def __init__(self, *args, **kwargs):
		super(LoginDialog, self).__init__(*args[1:], **kwargs)
		self.resize(400, 150)

		self.displayLabel = gtk.Label(args[0])

		self.username_label = gtk.Label("Email address:")
		self.password_label = gtk.Label("Password:")

		self.username_input = gtk.Entry()
		self.password_input = gtk.Entry()
		self.password_input.set_visibility(False)

		self.table = gtk.Table(rows=2, columns=2)

		self.table.attach(self.username_label, 0, 1, 0, 1)
		self.table.attach(self.username_input, 1, 2, 0, 1)
		self.table.attach(self.password_label, 0, 1, 1, 2)
		self.table.attach(self.password_input, 1, 2, 1, 2)

		self.vbox.add(self.displayLabel)

		self.vbox.add(self.table)

		self.table.show()
		self.displayLabel.show()
		self.username_input.show()
		self.username_label.show()
		self.password_label.show()
		self.password_input.show()
	
	def get_data(self):
		return (self.username_input.get_text(), self.password_input.get_text())
