#!/usr/bin/env python

import epiphany
import os
import sys

def _switch_page_cb(notebook, page, page_num, window):
	#print page
	#print window.get_active_tab()

	#if window.get_active_tab(): return

	_save_location(window.get_active_tab().get_address())

def _location_cb(embed, address):
	_save_location(address)

def _save_location(location):
	print location
	path = os.path.join(os.getenv("HOME"), ".gnome2", "epiphany", "currentURL")
	#os.stat(path)
	f = file(path, 'wt')	
	f.write(location)
	f.close()
	print "done"

def attach_tab(window, tab):
	embed = tab.get_embed()
	sig = embed.connect('ge-location', _location_cb)
	embed._rescuetime_location_sig = sig

	notebook = window.get_notebook()
	sig2 = notebook.connect_after('switch_page', _switch_page_cb, window)
	notebook._rescuetime_tab_sig = sig2

	#sig2 = embed.connect('switch_tab', _location_cb)
	#embed._rescuetime_tab_sig = sig2

def detach_tab(window, tab):
	embed = tab.get_embed()
	sig = embed._rescuetime_location_sig
	del embed._rescuetime_location_sig
	embed.disconnect(sig)

	notebook = window.get_notebook()
	#sig2 = notebook._rescuetime_tab_sig
	#del notebook._rescuetime_tab_sig
	#notebook.disconnect(sig2)


